"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var animations_1 = require("@angular/platform-browser/animations");
var table_generator_component_1 = require("./table-generator.component");
var testing_1 = require("@angular/core/testing");
require("jasmine");
var DialogTestModule = /** @class */ (function () {
    function DialogTestModule() {
    }
    DialogTestModule = __decorate([
        core_1.NgModule({
            imports: [animations_1.NoopAnimationsModule],
            exports: [],
            declarations: [table_generator_component_1.TableGeneratorComponent],
            entryComponents: [
                table_generator_component_1.TableGeneratorComponent,
            ],
        })
    ], DialogTestModule);
    return DialogTestModule;
}());
describe('#TableGeneratorComponent', function () {
    var componentInstance;
    var fixture;
    var expectedColumns;
    beforeEach(function () {
        componentInstance = new table_generator_component_1.TableGeneratorComponent();
        fixture = testing_1.TestBed.createComponent(table_generator_component_1.TableGeneratorComponent);
        expectedColumns = ['position', 'name'];
    });
    it('#TableGeneratorComponent is defined', function () {
        expect(componentInstance).toBeDefined();
    });
    it('Should return true if name has btnSuboperations in first object', function () {
        var test = [{
                name: 'btnSuboperations',
                suboperationData: {
                    label: '1',
                    suboperationFunction: function () { }
                }
            }];
        expect(componentInstance.isSuboperation(test)).toBeTruthy();
    });
    it('Should return false if name has btnSuboperations in second object or not exist', function () {
        var test = [
            {
                label: 'Posición',
                name: 'position',
                sort: true
            },
            {
                name: 'btnSuboperations',
                suboperationData: {
                    label: '1',
                    suboperationFunction: function () { }
                }
            }
        ];
        expect(componentInstance.isSuboperation(test)).toBeFalsy();
    });
    it('Should return string array with name data', function () {
        var test = [{
                label: 'Posición',
                name: 'position',
                sort: true
            },
            {
                label: 'Nombre',
                name: 'name'
            }];
        expect(componentInstance.generateDisplay(test)).toEqual(expectedColumns);
    });
    // tslint:disable-next-line:semicolon
});
//# sourceMappingURL=table-generator.component.spec.js.map